ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Darin Swanson <Darin_Swan...@us.ibm.com>
Subject RE: War element doesn't work in 1.5.2 but does in 1.5.1 [OT Eclipse]
Date Wed, 02 Apr 2003 21:27:53 GMT
Mark, 

You have two choices for setting which Ant version Eclipse uses for its 
Ant integration.

1. You can replace the ant.jar and the optional.jar  in the org.apache.ant 
plugin provided in the Eclipse distribution with the 1.5.* version you 
wish to use.
2. You can set the ANT_HOME you wish to use globally via the Ant runtime 
preferences or on a per build file basis using the Ant launch 
configuration.

When setting ANT_HOME,  you will need to ensure that the Xerces JARs are 
not directly or indirectly included on the Ant runtime classpath. Eclipse 
needs to use the Xerces classes provided via the org.apache.xerces plugin 
provided with Eclipse.  For most Ant distributions, the Xerces JARs cannot 
even be in the same physical location as the ant.jar and optional.jar. 
This results from the Ant JARs containing manifest files which contain 
classpath entries pointer to the Xerces JARs. The manifest entries have 
been removed in the Ant 1.6 stream so this makes it easier to work with 
from Eclipse's point of view :-)

HTH
Darins





<Mark.Gargan@cs.tcd.ie>
04/02/03 11:09 AM
Please respond to "Ant Users List"

 
        To:     "'Ant Users List'" <user@ant.apache.org>
        cc: 
        Subject:        RE: War element doesn't work in 1.5.2 but does in 1.5.1



No sweat. Thanks very much for your help Stefan.


-----Original Message-----
From: Stefan Bodewig [mailto:bodewig@apache.org] 
Sent: 02 April 2003 15:12
To: user@ant.apache.org
Subject: Re: War element doesn't work in 1.5.2 but does in 1.5.1

On Wed, 2 Apr 2003, Mark Gargan <Mark.Gargan@cs.tcd.ie> wrote:

>              Any tips on how to change the ant enviroment in
>              Eclipse2.1 to point to the Beta version?

I don't use eclipse, sorry.  I'd naively assume that replacing the
jars would work, but what do I know 8-)

Also note that 1.5.3 final is likely to be released within a week or
so.

Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org




Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message